<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Controller avec authentification qui permet d'afficher une vue differente en fonction du niveau d'authentification
 * Lecel 0 : user_perso_view, user_admin_view
 * Level <>0: user_perso_view
 * @author jub
 *
 */
class Accueil extends MY_Controller {

	function __construct() {
		parent::__construct();
		$this->load->library('session');
		$this->load->library('doctrine');
		$this->load->helper('html');
		$this->load->helper('url');
			
	}

	function index(){
		//recuperation de la variable de session loggedin positionnee par backoffice/session
		$varsession = $this->session->userdata('loggedin');
		$login = $varsession['login'];
		//recupere le gestionnaire d'entite
		$em = $this->doctrine->em;
		//recupere le depot utilisateur
		$repository = $em->getRepository('models\Utilisateur');
		//trouve un utilisateur a partir de son login
		$utilisateur = $repository->getUtilisateurByLogin($login);
		//prepare les donnees a passer à la vue 
		$data['utilisateur']=$utilisateur;

		if ($utilisateur->getLevel()==0){
			//level 0 : admin
			$data['utilisateurs']= $repository->findAll();
			
			$this->load->view('backoffice/templates/header');
			$this->load->view('backoffice/user_perso_view',$data);
			$this->load->view('backoffice/user_admin_view',$data);
			$this->load->view('backoffice/templates/footer');
		}
		else{
			$this->load->view('backoffice/templates/header');
			$this->load->view('backoffice/user_perso_view',$data);
			$this->load->view('backoffice/templates/footer');
		}

	}



}

?>
