<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Image extends MY_Controller {

	function __construct() {
		parent::__construct();
		$this->load->library('doctrine');
		$this->load->helper('html');
		$this->load->helper('url');
			
	}

	function create($login){
		$data['login']=$login;
		$this->load->view('backoffice/templates/header');
		$this->load->view('backoffice/upload_view', $data);
		$this->load->view('backoffice/templates/footer');

	}

	function createOk(){
		$em = $this->doctrine->em;
		$repository = $em->getRepository('models\Image');
		$url = $repository->getNextURL();
		$gallery_path = realpath(APPPATH . '..'.DIRECTORY_SEPARATOR.'ressources'.DIRECTORY_SEPARATOR.'medias'.DIRECTORY_SEPARATOR.'images');
		if (is_file($gallery_path.DIRECTORY_SEPARATOR.$url))
			unlink($gallery_path.DIRECTORY_SEPARATOR.$url);
			
			
		$login = $this->input->post('login');
		
		$config['upload_path'] = $gallery_path;
		$config['allowed_types'] = 'gif|jpg|png';
		$config['max_size']	= '100';
		$config['max_width']  = '1024';
		$config['max_height']  = '768';
		$config['file_name']= $url;
		$config['overwrite']=true;

		$this->load->library('upload', $config);
		$uploadOk = $this->upload->do_upload();
		
		
		if ($uploadOk){
			if (is_file($gallery_path.DIRECTORY_SEPARATOR.'miniatures'.DIRECTORY_SEPARATOR.$url))
			unlink($gallery_path.DIRECTORY_SEPARATOR.'miniatures'.DIRECTORY_SEPARATOR.$url);
			//miniature
			$image_data = $this->upload->data();

			$config = array(
      		'source_image' => $image_data['full_path'], //get original image
      		'new_image' => $gallery_path.'/miniatures', //save as new image //need to create thumbs first
      		'maintain_ratio' => true,
      		'width' => 150,
    		'height' => 100

			);

			$this->load->library('image_lib', $config); //load library
			$resizeOk =$this->image_lib->resize();
			if (! $resizeOk)
			{
				unlink($gallery_path.DIRECTORY_SEPARATOR.$url);
			}	
			else 
			{
				$login = $this->input->post('login');
				$description = $this->input->post('description');
				$repository->create($description, $login);
				redirect('backoffice/accueil');
			}
		}
		$data['error']= $this->upload->display_errors();
		$this->load->view('backoffice/templates/header');
		$this->load->view('backoffice/upload_error_view', $data);
		$this->load->view('backoffice/templates/footer');
		
	}

	public function display($url)
	{
		$em = $this->doctrine->em;
		$repository = $em->getRepository('models\Image');
		$data['image']= $repository->getImageByURL($url);
		$this->load->view('backoffice/templates/header');
		$this->load->view('backoffice/gestion_image_view', $data);
		$this->load->view('backoffice/templates/footer');
	}
	
	public function delete($url)
	{
		$em = $this->doctrine->em;
		$repository = $em->getRepository('models\Image');
		$repository->delete($url);
		redirect('backoffice/accueil');	
	}
	
	public function updateDescription()
	{
		$url = $this->input->post('url');
		$description = $this->input->post('description');
		$em = $this->doctrine->em;
		$repository = $em->getRepository('models\Image');
		$repository->updateDescription($url, $description);
		redirect('backoffice/accueil');	
	}
}

?>
