<?php
namespace models;


/**
 * Image
 *
 * @Table(name="image")
 * @Entity(repositoryClass="\models\repositeries\ImageRepository")
 * @HasLifecycleCallbacks
 */
class Image
{
	/**
	 * @var string $url
	 *
	 * @Column(name="url", type="integer", nullable=false)
	 * @Id
	 * @GeneratedValue(strategy="IDENTITY");
	 */
	private $url;

	/**
	 * @var string $description
	 *
	 * @Column(name="description", type="string", length=512, nullable=true)
	 */
	private $description;

	/**
	 * @var Utilisateur
	 *
	 * @ManyToOne(targetEntity="Utilisateur")
	 * @JoinColumns({
	 *   @JoinColumn(name="utilisateur", referencedColumnName="login", onDelete="Cascade")
	 * })
	 */
	private $utilisateur;

	public function __construct( $description, $utilisateur) {
		$this->description = $description;
		$this->utilisateur = $utilisateur;
	}

	public function getURL(){
		return $this->url;
	}

	public function getDescription(){
		return $this->description;
	}

	public function setDescription($description)
	{
		$this->description=$description;
	}

	/**
	 * @preRemove
	 */
	public function deleteFile()
	{
		$gallery_path = realpath(APPPATH . '..'.DIRECTORY_SEPARATOR.'ressources'.DIRECTORY_SEPARATOR.'medias'.DIRECTORY_SEPARATOR.'images').DIRECTORY_SEPARATOR;
		$thumb_path = realpath(APPPATH . '..'.DIRECTORY_SEPARATOR.'ressources'.DIRECTORY_SEPARATOR.'medias'.DIRECTORY_SEPARATOR.'images'.DIRECTORY_SEPARATOR.'miniatures').DIRECTORY_SEPARATOR;
		foreach (glob($gallery_path.$this->url.'.*') as $filename) {
			unlink($filename);
		}
		foreach (glob($thumb_path.$this->url.'.*') as $filename) {
			unlink($filename);
		}
		
	}
}