<?php
namespace models;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * Utilisateur
 *
 * @Table(name="utilisateur", uniqueConstraints={@UniqueConstraint(columns={"description"})})
 * @Entity (repositoryClass="\models\repositeries\UtilisateurRepository")
 */
class Utilisateur
{
	/**
	 * @var string $login
	 *
	 * @Column(name="login", type="string", length=45, nullable=false)
	 * @Id
	 * @GeneratedValue(strategy="NONE")
	 */
	private $login;

	/**
	 * @var integer $level
	 *
	 * @Column(name="level", type="integer", nullable=true)
	 */
	private $level;

	/**
	 * @var string $password
	 *
	 * @Column(name="password", type="string", length=45, nullable=false)
	 */
	private $password;

	/**
	 * @var string $description
	 *
	 * @Column(name="description", type="string", length=128, nullable=false)
	 */
	private $description;

	/**
	 * @OneToMany(targetEntity="Image", mappedBy="utilisateur")
	 */
	private $images;

	public function __construct($login, $level, $password, $description){
		$CI = & get_instance();
		$CI->load->library('encrypt');
		$this->login = $login;
		$this->level=$level;
		/*
		 * necessite Mcrypt
		$this->password= $CI->encrypt->encode($password);
		*/
		$this->password=md5($password.$CI->config->item('encryption_key'));
		$this->description=$description;
		$this->images=new ArrayCollection;
	}

	public function getLogin() {
		return $this->login;
	}

	public function getPassword() {
		return $this->password;
	}

	public function getLevel() {
		return $this->level;
	}

	public function getDescription() {
		return $this->description;
	}

	public function getImages(){
		return  $this->images;
	}

	public function setLogin($login){
		$this->login=$login;
	}

	public function setPassword($password) {
		$CI = & get_instance();
		/*necessite Mcrypt
		 * $CI->load->library('encrypt');
		$this->password= $CI->encrypt->encode($password);*/
		$password = md5($password.$CI->config->item('encryption_key'));
	}

	public function setLevel($level) {
		$this->level = $level;
	}

	public function setDescription($description) {
		$this->description = $description;
	}

}