<?php



/**
 * Description of TypeTailleRepository
 *
 * @author jub
 */

namespace models\repositeries;

class ImageRepository extends \Doctrine\ORM\EntityRepository {

	public function create($description, $login) {
		$em = $this->getEntityManager();
		$repository = $em->getRepository('models\Utilisateur');
		$utilisateur = $repository->findOneByLogin($login);
		$image = new \models\Image($description, $utilisateur);
		$em->persist($image);
		$em->flush();
	}

	public function getNextURL(){
		$em = $this->getEntityManager();
		$max= $em->createQuery('SELECT max(i.url) FROM models\Image i')->getSingleScalarResult();
		if ($max == null)
		{
			//beurk mais mysql ne gere pas les sequence et doctrine ne permet une table pour les gerer
			//not yet implemented
			$em->getConnection()->exec('alter table image auto_increment=1');
			return 1;
		}


		else
		return $max + 1;
	}

	public function getImageByURL($url)
	{
		$image = $this->findOneByUrl($url);
		return $image;
	}
	 
	public function delete($url)
	{
		$em = $this->getEntityManager();

		try {
			$image = $this->findOneByUrl($url);
			$em->remove($image);
			$em->flush();
		} catch (\Exception $e) {

		};
	}
	 
	public function updateDescription($url, $description) {
		$image = $this->findOneByUrl($url);
		$image->setDescription($description);
		$em = $this->getEntityManager();
		$em->persist($image);
		$em->flush();
		 
	}
}

?>
